addpath('D:\Blapla');

%% Retrieving the data

% List of subject from the group
subIdxs = {'18','16'};                             % Must be changed              
nbSubs = size(subIdxs, 2);                              % Number of subject in the group
regexs = [subIdxs{1}]                                   % list of sub to filter in the regex

for sub = 2:nbSubs
    
    regexs = [regexs, '|', subIdxs{sub}];
    
end


% root of derivatives (to be changed) 
rootName = 'D:\Blapla\Analysis_Pipeline\Videos\Pilotes\derivatives';
% filtering throuhg the regex
rootDir = regexpdir(rootName, sprintf('^.*sub(%s).*Task-7.*.mat$', regexs));
% nb of files respecting he regex
nbFiles = size(rootDir, 1);
fprintf('We found %d files\n\n', nbFiles);


%% loop of word extraction

% memory of all words
ratioL = zeros(1, nbSubs);              % Ratio of left gaze
ratioR = zeros(1, nbSubs);              % Ratio of right gaze
ratioO = zeros(1, nbSubs);              % Ration of operator gaze

for sub = 1:nbSubs

    %%
    % Loads the matlab file from task indexd by sub
    a = load(rootDir{sub});                                             
    trinaryWord= a.taskObj.trinaryWord;
    % number of letters i that word
    nbLetters = size(trinaryWord, 2);
    % ratio of time in each part
    ratioL(1,sub) = sum(trinaryWord(1,:))/nbLetters;
    ratioO(1,sub) = sum(trinaryWord(2,:))/nbLetters;
    ratioR(2,sub) = sum(trinaryWord(3,:))/nbLetters;
    
    %%
end